Bug 1111680 - report_errata report not working
Summary: report_errata report not working
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: API
Version: 560
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Grant Gainey
QA Contact: Lukas Pramuk
URL:
Whiteboard:
Depends On:
Blocks: sat570-spacecmd
TreeView+ depends on / blocked
 
Reported: 2014-06-20 17:35 UTC by bfarmer
Modified: 2015-01-13 10:18 UTC (History)
4 users (show)

Fixed In Version: spacecmd-2.3.0-2-sat
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-13 10:18:46 UTC


Attachments (Terms of Use)

Description bfarmer 2014-06-20 17:35:59 UTC
Description of problem:
spacecmd> report_errata returns no data

Version-Release number of selected component (if applicable):
5.6

How reproducible:
You can type spacecmd and login or run the commands in conjunction like "spacecmd report_errata"

Steps to Reproduce:
1. Log into spacecmd by typing spacecmd -u <username> -p <password>
2. Type report_errata

Actual results:
Nothing happens, we do not get an error it just returns us to the shell.

Expected results:
We expect to get a list of errata and a value next to each stating how many systems it is needed on.

Additional info:
I've tried this using the satellite admin, organization admin and user credentials with no luck.

Comment 1 Clifford Perry 2014-07-04 12:47:37 UTC
spacecmd is not supported by Red Hat for the current product versions of Satellite 5.x. spacecmd is a community project. 

If you can reproduce the issue by calling the API directly, please open a support ticket with Red Hat to investigate further.

Regards,
Cliff

Comment 2 Grant Gainey 2014-11-03 19:48:09 UTC
While search:* accomplishes this, the rest of the report_* cmds do the expected when issued with no args.  Taught the subcommand to treat an empty arg-list as 'all'

SW commmit ba67ca328dced5e9b81b11f79a2893cbe379cd53, spacecmd-2.3.3-1

Comment 5 Lukas Pramuk 2014-11-20 14:00:37 UTC
VERIFIED.

# spacecmd -u admin -p <PASS>
Welcome to spacecmd, a command-line interface to Spacewalk.

Type: 'help' for a list of commands
      'help <cmd>' for command-specific help
      'quit' to quit

INFO: Spacewalk Username: admin
INFO: Connected to https://localhost/rpc/api as admin
spacecmd {SSM:0}> report_errata
All errata requested - this may take a few minutes, please be patient!
Errata          # Systems
------          ---------
RHBA-2014:0712          1
RHBA-2014:0720          1
RHBA-2014:0721          1
RHBA-2014:0722          1
RHBA-2014:0726          1
RHBA-2014:0729          1
RHBA-2014:0730          1
RHBA-2014:0765          1
RHBA-2014:0777          1
RHBA-2014:0778          1
RHBA-2014:0870          1
RHBA-2014:0906          1
RHBA-2014:0943          1
RHBA-2014:0989          1
RHBA-2014:1018          1
RHBA-2014:1057          1
RHBA-2014:1071          1
RHBA-2014:1085          1
RHBA-2014:1093          1
RHBA-2014:1114          1
RHBA-2014:1257          1
RHBA-2014:1259          1
RHBA-2014:1301          1
RHBA-2014:1302          1
RHBA-2014:1308          1
RHBA-2014:1309          1
RHBA-2014:1356          1
RHBA-2014:1360          1
RHBA-2014:1361          1
RHBA-2014:1362          1
RHBA-2014:1363          1
RHBA-2014:1625          1
RHBA-2014:1637          1
RHBA-2014:1644          1
RHBA-2014:1698          1
RHBA-2014:1701          1
RHBA-2014:1720          1
RHBA-2014:1730          1
RHBA-2014:1734          1
RHBA-2014:1735          1
RHBA-2014:1793          1
RHBA-2014:1799          1
RHBA-2014:1811          1
RHBA-2014:1813          1
RHBA-2014:1814          1
RHBA-2014:1849          1
RHBA-2014:1854          1
RHBA-2014:1867          1
RHBA-2014:1875          1
RHEA-2014:0737          1
RHEA-2014:0774          1
RHEA-2014:1046          1
RHEA-2014:1242          1
RHEA-2014:1253          1
RHEA-2014:1269          1
RHEA-2014:1355          2
RHEA-2014:1364          2
RHEA-2014:1621          1
RHEA-2014:1718          1
RHEA-2014:1733          2
RHEA-2014:1816          1
RHEA-2014:1866          2
RHSA-2014:0678          1
RHSA-2014:0679          1
RHSA-2014:0684          1
RHSA-2014:0687          1
RHSA-2014:0702          1
RHSA-2014:0703          1
RHSA-2014:0786          1
RHSA-2014:0861          1
RHSA-2014:0916          1
RHSA-2014:0923          1
RHSA-2014:1023          1
RHSA-2014:1052          1
RHSA-2014:1073          1
RHSA-2014:1110          1
RHSA-2014:1172          1
RHSA-2014:1281          1
RHSA-2014:1293          1
RHSA-2014:1306          1
RHSA-2014:1307          1
RHSA-2014:1397          1
RHSA-2014:1620          1
RHSA-2014:1652          2
RHSA-2014:1655          2
RHSA-2014:1671          1
RHSA-2014:1724          1
RHSA-2014:1764          2
RHSA-2014:1795          1
RHSA-2014:1843          1
RHSA-2014:1846          1
RHSA-2014:1861          1
RHSA-2014:1870          2
RHSA-2014:1873          1
spacecmd {SSM:0}>

Comment 6 Pavel Studeník 2015-01-08 17:43:11 UTC
Reverified with spacecmd-2.3.0-2.el6sat.noarch

# spacecmd report_errata
INFO: Connected to https://localhost/rpc/api as admin
All errata requested - this may take a few minutes, please be patient!
Errata          # Systems
------          ---------
...
RHSA-2014:1997          1

Comment 7 Clifford Perry 2015-01-13 10:18:46 UTC
With the release of Red Hat Satellite 5.7 on January 12th 2015 this bug is
being moved to a Closed Current Release state. 

The Satellite 5.7 GA Errata:
 - https://rhn.redhat.com/errata/RHSA-2015-0033.html 

Satellite 5.7 Release Notes:
 -
https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/5.7/html-single/Release_Notes/index.html

Satellite Customer Portal Blog announcement for release:
 - https://access.redhat.com/blogs/1169563/posts/1315743 

Cliff


Note You need to log in before you can comment on or make changes to this bug.